Bug 518510 - "extract to..." on sftp is broken
Summary: "extract to..." on sftp is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 11
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 16:26 UTC by Stefan Jensen
Modified: 2010-05-31 18:24 UTC (History)
2 users (show)

Fixed In Version: file-roller-2.30.1.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-31 18:24:27 UTC


Attachments (Terms of Use)

Description Stefan Jensen 2009-08-20 16:26:49 UTC
Description of problem:

Wen i'm connected via sftp and try to extract a archiv file in nautilus via RightClick -> Extract to..., the file is noct extracted. Only dirs are created.

Version-Release number of selected component (if applicable):

file-roller-2.26.3-1.fc11.x86_64

How reproducible:

Always

Steps to Reproduce:

1. connect to a remote box vis sftp
2. navigate to a compressed archive and try "extract to..."

  
Actual results:

The File is not extracted, only dirs in the archive are created.

Expected results:

The File is extracted completely, including files and dirs.

Additional info:

Work correctly on local drive.

Comment 1 Tomáš Bžatek 2009-10-14 16:29:30 UTC
Could be a https://bugzilla.gnome.org/show_bug.cgi?id=578892

Comment 2 Bug Zapper 2010-04-28 09:51:31 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-05-18 13:23:13 UTC
file-roller-2.28.2-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/file-roller-2.28.2-3.fc12

Comment 4 Fedora Update System 2010-05-18 13:24:04 UTC
file-roller-2.30.1.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/file-roller-2.30.1.1-3.fc13

Comment 5 Fedora Update System 2010-05-19 19:12:11 UTC
file-roller-2.30.1.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update file-roller'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/file-roller-2.30.1.1-3.fc13

Comment 6 Stefan Jensen 2010-05-19 20:24:15 UTC
Tested "file-roller-2.28.2-3.fc12".
Works like charm. Thank you.

Comment 7 Fedora Update System 2010-05-31 18:24:17 UTC
file-roller-2.30.1.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.